Summary:	GUI for VPN Client for various servers
Summary(pl.UTF-8):	GUI dla klienta dla różnych serwerów VPN
Name:		kvpnc
Version:	0.9.6a
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	http://download.gna.org/kvpnc/%{name}-%{version}-kde4.tar.bz2
# Source0-md5:	bf8b7224284f5d3f8ad5235c599fe9e7
Patch0:		sleep.patch
URL:		http://home.gna.org/kvpnc/en/index.html
BuildRequires:	automoc4
BuildRequires:	kde4-kdelibs-devel
BuildRequires:	libgcrypt-devel
BuildRequires:	libstdc++-devel
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRequires:	sed >= 4.0
Requires:	bash
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KVpnc is a KDE frontend for various VPN clients. It supports Cisco VPN
(vpnc) and IPSec (FreeS/WAN, racoon). vpnc is a replacement for the
Cisco VPN client, and is used as client for the cisco3000 VPN
Concentrator. FreeS/WAN (OpenS/WAN) is a IPSec client for Linux 2.4.x,
and raccoon is a IPSec client for Linux 2.6.x and *BSD. It also
supports PPTP (pptpclient) and OpenVPN.

%description -l pl.UTF-8
KVpnc to nakładka na klienta vpnc działajaca w środowisku KDE. Wspiera
Cisco VPN, IPSec (FreeS/WAN, racoon). vpnc jest zamiennikiem dla
klienta VPN Cisco, i jest używany jako klient dla koncentratorów VPN
cisco3000. FreeS/WAN (OpenS/WAN) jest klientem ipsecowym dla Linux
2.4.x oraz racoon w wersji 2.6.x oraz *BSD. Wspiera również protokół
PPTP (pptpclient) oraz OpenVPN.

%prep
%setup -q -n %{name}-%{version}-kde4
%patch0 -p1

%build
install -d build
cd build
%cmake \
	../
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install/fast \
	DESTDIR=$RPM_BUILD_ROOT

%{__mv} -f $RPM_BUILD_ROOT%{_desktopdir}/{kde4,}/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/*
%{_datadir}/apps/kvpnc
%{_desktopdir}/%{name}.desktop
%{_iconsdir}/hicolor/*/*/*
%changelog
* Thu Jan 02 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kvpnc.git;a=log;h=master

* Thu Jan 02 2014 Jan Rękorajski <baggins@pld-linux.org> b850d28
- up to 0.9.6a for KDE4

* Wed Dec 25 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> a7987af
- release 3 (by relup.sh)

* Wed May 12 2010 Jan Rękorajski <baggins@pld-linux.org> 2631143
- rel 2
- don't hack desktop file, it's good

* Sat Dec 27 2008 Adam Gołębiowski <adamg@pld-linux.org> 5686133
- no longer needed

* Sat Dec 27 2008 Adam Gołębiowski <adamg@pld-linux.org> 6715bc5
- updated to 0.9.1

* Tue Mar 11 2008 witekfl <witekfl@pld-linux.org> b1d8fc4
- utf-8 in pl summary

* Sat Jan 12 2008 Michał Łukaszek <mlukaszek+pld@gmail.com> ce48c9f
- automatically generated script is not really sh-compatible

* Sat Jan 12 2008 Michał Łukaszek <mlukaszek+pld@gmail.com> b29f000
- automatically generated script is not sh compatible

* Wed May 02 2007 shadzik <shadzik@pld-linux.org> 005a79a
- 0.8.9

* Tue Feb 13 2007 Robert Tomasik <rotom@pld-linux.org> a9a2e6a
- up to 0.8.8

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 55b7b72
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> c5c176a
- converted to UTF-8

* Wed Dec 13 2006 Elan Ruusamäe <glen@pld-linux.org> b240353
- junk removed from changelog commit

* Wed Dec 13 2006 shadzik <shadzik@pld-linux.org> 0290b43
- since it's a klient for KDE group should be X11/Applications - fixed

* Wed Dec 13 2006 shadzik <shadzik@pld-linux.org> 2b56cff
- epoch BR

* Wed Dec 13 2006 Robert Tomasik <rotom@pld-linux.org> 8442186
- up to 0.8.7

* Thu Sep 28 2006 shadzik <shadzik@pld-linux.org> e457290
- 0.8.6.1

* Mon Sep 25 2006 shadzik <shadzik@pld-linux.org> a5ebf33
- 0.8.6

* Tue May 23 2006 Jakub Bogusz <qboosh@pld-linux.org> ef887a7
- missing dir

* Sat May 20 2006 shadzik <shadzik@pld-linux.org> 59ef139
- %{_docdir} -> %{_kdedocdir}

